Bug 519674

Summary: Please add KDE to OnlyShowIn in autostart desktop file
Product: [Fedora] Fedora Reporter: Jaroslav Reznik <jreznik>
Component: polkit-gnomeAssignee: David Zeuthen <davidz>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: davidz, mclasen, rdieter, smparrish
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-08-29 04:31:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jaroslav Reznik 2009-08-27 11:31:11 UTC
Description of problem: as we don't have PolicyKit 1 Authentication Agent yet, we'd like to use Gnome one as temporary solution. Please add KDE to OnlyShowIn in autostart desktop file.

It's already WIP, once we have our own, we ask you to remove it. But I think it's more KDE 4.4 stuff.

Thank you

Comment 1 Rex Dieter 2009-08-28 13:25:36 UTC
Speaking of which, a related issue is that shouldn't there a be a (new) dep similar to the old
Provides: PolicyKit-authentication-agent

so that apps/libs whatever that need this, can Requires: it?

Comment 2 Matthias Clasen 2009-08-29 04:31:01 UTC
I've added the OnlyShowIn entry.

It is our view that the session is responsible for providing an authentication agent, apps/libs should not have to individually require it.